summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Nishant Limbachia2013-04-25 23:52:07 +0200
committer Niels Horn2013-04-25 23:52:07 +0200
commitd6ab6040e9ac9c794632575869a93a1a2add9a78 (patch)
tree2c8f6e04fd6517492b9c4211df0a8b18fe0f4906 /libraries
parentefd54b53c4918799b0454d55de326efdd3723601 (diff)
downloadslackbuilds-d6ab6040e9ac9c794632575869a93a1a2add9a78.tar.gz
libraries/vigra: Added (Vision with Generic Algorithms library)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/vigra/README3
-rw-r--r--libraries/vigra/slack-desc19
-rw-r--r--libraries/vigra/vigra.SlackBuild101
-rw-r--r--libraries/vigra/vigra.info10
4 files changed, 133 insertions, 0 deletions
diff --git a/libraries/vigra/README b/libraries/vigra/README
new file mode 100644
index 0000000000..14def9647f
--- /dev/null
+++ b/libraries/vigra/README
@@ -0,0 +1,3 @@
+VIGRA stands for "Vision with Generic Algorithms". It is a
+novel computer vision library that puts its main emphasis
+on customizable algorithms and data structures.
diff --git a/libraries/vigra/slack-desc b/libraries/vigra/slack-desc
new file mode 100644
index 0000000000..28354ae30a
--- /dev/null
+++ b/libraries/vigra/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+vigra: vigra (Vision with Generic Algorithms library)
+vigra:
+vigra: VIGRA stands for "Vision with Generic Algorithms". It is a
+vigra: novel computer vision library that puts its main emphasis
+vigra: on customizable algorithms and data structures.
+vigra:
+vigra: Home Page: http://hci.iwr.uni-heidelberg.de/vigra/
+vigra:
+vigra:
+vigra:
+vigra:
diff --git a/libraries/vigra/vigra.SlackBuild b/libraries/vigra/vigra.SlackBuild
new file mode 100644
index 0000000000..80dbbd5b5f
--- /dev/null
+++ b/libraries/vigra/vigra.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware Package Build Script for vigra
+# Home Page http://hci.iwr.uni-heidelberg.de/vigra/
+
+# Copyright (c) 2013, Nishant Limbachia, Hoffman Estates, IL, USA
+# (nishant _AT_ mnspace _DOT_ net)
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="vigra"
+VERSION=${VERSION:-1.9.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DDOCINSTALL=doc/$PRGNAM-$VERSION \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.txt README.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/vigra/vigra.info b/libraries/vigra/vigra.info
new file mode 100644
index 0000000000..b9fa6108cc
--- /dev/null
+++ b/libraries/vigra/vigra.info
@@ -0,0 +1,10 @@
+PRGNAM="vigra"
+VERSION="1.9.0"
+HOMEPAGE="http://hci.iwr.uni-heidelberg.de/vigra/"
+DOWNLOAD="http://hci.iwr.uni-heidelberg.de/vigra/vigra-1.9.0-src.tar.gz"
+MD5SUM="b6155afe1ea967917d2be16d98a85404"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"